{{/*
Полное имя приложения создается по правилу <имя helm-charts>-<имя инстанса>
<Имя инстанса> = Release.Name
*/}}
{{- define "semona-handler.fullname" -}}
{{- printf "%s" .Release.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Common labels
*/}}
{{- define "semona-handler.labels" -}}
helm.sh/chart: {{ include "semona-handler.chart" . }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{- end }}

{{/*
Create chart name and version as used by the chart label.
*/}}
{{- define "semona-handler.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Selector labels
*/}}
{{- define "semona-handler.selectorLabels" -}}
app.kubernetes.io/instance: {{ .Release.Name }}
app: {{ include "semona-handler.fullname" . }}
run: inspark
{{- end }}

{{/*
Имя configMap
*/}}
{{- define "semona-handler.config" -}}
{{- printf "%s-%s" .Chart.Name "config" | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Задаем replica
*/}}
{{- define "semona-handler.replicaQuote" -}}

{{- if eq .Values.global.replicaQuote.quoteClass "large" -}}
  {{- .Values.replicaCount.largeQuota_handler -}}
{{- else -}}
  {{- if eq .Values.global.replicaQuote.quoteClass "middle" -}}
    {{- .Values.replicaCount.middleQuota_handler -}}
  {{- else -}}
    {{- .Values.replicaCount.miniQuota_handler -}}
  {{- end -}}
{{- end -}}

{{- end -}}
